Subject: Re: FvwmWindowLister

From: Elliot Sowadsky <[email-masked]>
Date: Wed, 4 Dec 2002 17:49:50 -0800 (PST)

< > Is there any work in the near future on adding sorting by {type} to
< > FvwmWindowLister? I could then add what i added to my windowlist.c, where i
< > add a "null' entry where a multiple entry class is starting or ending.
< 
< Elliot
< 
< I'm not quite sure what you mean here. Currently it sorts windows
< into groups by title (or class, resource, etc) in a user-defined way,
< and puts separators between those groups. Is that not what you're
< after? Can you send me a screenshot of what your code does?

It currently allocates by specified classes plus a catchall.
But each section is unsorted....including the catchall.

I have my windowlist.c automagically create sections for each class that has
more than one member.

eg:

class1 title 1
class1 title 2
------------
class2 whatever
class3 whatever
------------
class4 title 3
class4 title 4
class4 title 5
------------
class5 whatever
------------
class6 title 6
class6 title 7

To do this, i first sort by class (standard command) and then as i run thru
the list, i put in a break whenever a class that has more than one entry
starts or stops. This autocreates sections and keeps everything still in
class order.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]